# Generated by Django 4.0.8 on 2023-01-10 17:45

# Django
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("eveonline", "0017_alliance_and_corp_names_are_not_unique"),
        ("groupmanagement", "0019_adding_restricted_to_groups"),
    ]

    operations = [
        migrations.CreateModel(
            name="General",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
            ],
            options={
                "verbose_name": "Fleet Finder",
                "permissions": (
                    ("access_fleetfinder", "Can access the Fleet Finder app"),
                    ("manage_fleets", "Can manage fleets"),
                ),
                "managed": False,
                "default_permissions": (),
            },
        ),
        migrations.CreateModel(
            name="Fleet",
            fields=[
                ("fleet_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("name", models.CharField(default="", max_length=50)),
                ("created_at", models.DateTimeField()),
                ("motd", models.TextField(blank=True, default="")),
                ("is_free_move", models.BooleanField()),
                (
                    "fleet_commander",
                    models.ForeignKey(
                        blank=True,
                        default=None,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="fleetfinder_fleet_commander",
                        to="eveonline.evecharacter",
                    ),
                ),
                (
                    "groups",
                    models.ManyToManyField(
                        help_text="Groups listed here will be able to join the fleet",
                        related_name="fleetfinder_restricted_groups",
                        to="groupmanagement.authgroup",
                    ),
                ),
            ],
            options={
                "default_permissions": (),
            },
        ),
    ]
